<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/SymbolLookup/SymbolDisplay.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis::SymbolLookup::SymbolDisplay</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">namespace <a href="../../Synopsis.html" >Synopsis</a>::<a href="../SymbolLookup.html" >SymbolLookup</a>
</div><div class="class-name">class SymbolDisplay

</div><div class="links"><div class="file">File: <a href="../../../File/Synopsis/SymbolLookup/Display.hh.html" target="detail">../Synopsis/SymbolLookup/Display.hh</a></div> <div class="xref"><a href="../../../XRef/xref25.html#Synopsis_mSymbolLookup_mSymbolDisplay" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Display.hh.html#line17" ><img src="../../../src-c++.png" alt="source code"/></a></div></div>  <img alt="SymbolDisplay-inheritance" src="SymbolDisplay-inheritance.png" hspace="8" vspace="8" border="0" usemap="#SymbolDisplay-inheritance_map" />
<map name="SymbolDisplay-inheritance_map"><area alt="Scopes/Synopsis/SymbolLookup/SymbolVisitor.html" href="SymbolVisitor.html" shape="rect" coords="8, 7, 259, 31" />
</map>
 <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Public Member functions Summary:</div>
<div class="item"><div class="synopsis">&#160;<i>constructor</i> <a class="name" id="SymbolDisplay_lstd_mostream_A_csize_t_r">SymbolDisplay</a>(std::ostream&amp; <span class="variable">os</span>, size_t <span class="variable">indent</span>)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Display.hh.html#line20" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="display_lconst.PTree_mEncoding_A_cconst.Symbol_S_r">display</a>(const&#160;<a href="../PTree/Encoding.html" >PTree::Encoding</a>&amp;, const&#160;<a href="Symbol.html" >Symbol</a>*)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Display.hh.html#line22" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Private Member functions Summary:</div>
<div class="item"><div class="synopsis">&#160;std::ostream&amp; <a class="name" id="prefix_lconst.std_mstring_A_r">prefix</a>(const&#160;std::string&amp; <span class="variable">type</span>)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Display.hh.html#line24" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lconst.Symbol_S_r">visit</a>(const&#160;<a href="Symbol.html" >Symbol</a>*)  </div> <div class="xref"><a href="../../../XRef/xref25.html#Synopsis_mSymbolLookup_mSymbolDisplay_mvisit_lconst.Symbol_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Display.hh.html#line26" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lconst.VariableName_S_r">visit</a>(const&#160;<a href="VariableName.html" >VariableName</a>*)  </div> <div class="xref"><a href="../../../XRef/xref25.html#Synopsis_mSymbolLookup_mSymbolDisplay_mvisit_lconst.VariableName_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Display.hh.html#line27" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lconst.ConstName_S_r">visit</a>(const&#160;<a href="ConstName.html" >ConstName</a>*)  </div> <div class="xref"><a href="../../../XRef/xref25.html#Synopsis_mSymbolLookup_mSymbolDisplay_mvisit_lconst.ConstName_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Display.hh.html#line28" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lconst.TypeName_S_r">visit</a>(const&#160;<a href="TypeName.html" >TypeName</a>*)  </div> <div class="xref"><a href="../../../XRef/xref25.html#Synopsis_mSymbolLookup_mSymbolDisplay_mvisit_lconst.TypeName_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Display.hh.html#line29" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lconst.TypedefName_S_r">visit</a>(const&#160;<a href="TypedefName.html" >TypedefName</a>*)  </div> <div class="xref"><a href="../../../XRef/xref25.html#Synopsis_mSymbolLookup_mSymbolDisplay_mvisit_lconst.TypedefName_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Display.hh.html#line30" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lconst.ClassName_S_r">visit</a>(const&#160;<a href="ClassName.html" >ClassName</a>*)  </div> <div class="xref"><a href="../../../XRef/xref25.html#Synopsis_mSymbolLookup_mSymbolDisplay_mvisit_lconst.ClassName_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Display.hh.html#line31" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lconst.EnumName_S_r">visit</a>(const&#160;<a href="EnumName.html" >EnumName</a>*)  </div> <div class="xref"><a href="../../../XRef/xref25.html#Synopsis_mSymbolLookup_mSymbolDisplay_mvisit_lconst.EnumName_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Display.hh.html#line32" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lconst.ClassTemplateName_S_r">visit</a>(const&#160;<a href="ClassTemplateName.html" >ClassTemplateName</a>*)  </div> <div class="xref"><a href="../../../XRef/xref25.html#Synopsis_mSymbolLookup_mSymbolDisplay_mvisit_lconst.ClassTemplateName_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Display.hh.html#line33" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lconst.FunctionName_S_r">visit</a>(const&#160;<a href="FunctionName.html" >FunctionName</a>*)  </div> <div class="xref"><a href="../../../XRef/xref25.html#Synopsis_mSymbolLookup_mSymbolDisplay_mvisit_lconst.FunctionName_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Display.hh.html#line34" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lconst.FunctionTemplateName_S_r">visit</a>(const&#160;<a href="FunctionTemplateName.html" >FunctionTemplateName</a>*)  </div> <div class="xref"><a href="../../../XRef/xref25.html#Synopsis_mSymbolLookup_mSymbolDisplay_mvisit_lconst.FunctionTemplateName_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Display.hh.html#line35" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lconst.NamespaceName_S_r">visit</a>(const&#160;<a href="NamespaceName.html" >NamespaceName</a>*)  </div> <div class="xref"><a href="../../../XRef/xref25.html#Synopsis_mSymbolLookup_mSymbolDisplay_mvisit_lconst.NamespaceName_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Display.hh.html#line36" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Private Data members Summary:</div>
<div class="item"><div class="synopsis">std::ostream&amp; <a class="name" id="my_os">my_os</a></div> <div class="xref"><a href="../../../XRef/xref25.html#Synopsis_mSymbolLookup_mSymbolDisplay_mmy_os" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Display.hh.html#line38" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">std::string <a class="name" id="my_indent">my_indent</a></div> <div class="xref"><a href="../../../XRef/xref25.html#Synopsis_mSymbolLookup_mSymbolDisplay_mmy_indent" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Display.hh.html#line39" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">std::string <a class="name" id="my_name">my_name</a></div> <div class="xref"><a href="../../../XRef/xref25.html#Synopsis_mSymbolLookup_mSymbolDisplay_mmy_name" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Display.hh.html#line40" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:27:56 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
